#
# spec file for package python-zope.component
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.component
Version:        4.2.1
Release:        3.2
Url:            http://www.python.org/pypi/zope.component
Summary:        Zope Component Architecture
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/z/zope.component/zope.component-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
# Documentation requirements:
BuildRequires:  python-persistent
BuildRequires:  python-repoze.sphinx.autointerface
BuildRequires:  python-setuptools
BuildRequires:  python-zope.configuration
BuildRequires:  python-zope.event
BuildRequires:  python-zope.hookable
BuildRequires:  python-zope.interface >= 4.1.0
# Testing requirements:
BuildRequires:  python-zope.proxy
#TODO: fix circular dependency with python-zope.security
#BuildRequires:  python-zope.security
BuildRequires:  python-zope.testing
Requires:       python-zope.event
Requires:       python-zope.interface >= 4.1.0
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package is intended to be independently reusable in any Python project. It
is maintained by the Zope Toolkit project.

This package represents the core of the Zope Component Architecture. Together
with the 'zope.interface' package, it provides facilities for defining,
registering and looking up components.

Please see http://docs.zope.org/zope.component/ or doc package for the
documentation.

%package doc
Summary:        Zope Component Architecture
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.component-%{version}
# disable standalone test, until some kind soul resolves the problem of being unable
# to import the module itself properly. IOW: with no amount of PYTHONPATH trickery, 
# python -c "import zope.component" succeeds (in %%check section)
rm src/zope/component/tests/test_standalone.py

%build
python setup.py build
PYTHONPATH=$(pwd)/build/lib python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# cannot enable testing by default, until the circular dependency with 
# python-zope.security isn't resolved properly
#%%check
#PYTHONPATH=$(pwd)/src python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%python_sitelib/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.2.1:
  * Added support for Python 3.4.
- switch source archive to tar.gz (zip not available)
- remove unzip from BuildRequires
* Wed Feb 19 2014 os-dev@jacraig.com
- Update to 4.2.0:
  * Updated ``boostrap.py`` to version 2.2.
  * Reset the cached ``adapter_hooks`` at ``zope.testing.cleanup.cleanUp``
    time (LP1100501).
  * Implemented ability to specify adapter and utility names in Python. Use
    the ``@zope.component.named(name)`` decorator to specify the name.
- Update python-zope.interface requirement version (see setup.py).
* Tue Dec 10 2013 p.drouand@gmail.com
- Use download Url as source
- Add unzip requirement to support tarball format
* Wed Jul 31 2013 hpj@urpla.net
- disable testing due to circular dependency with python-zope.security
* Mon Jul 29 2013 hpj@urpla.net
- version 4.1.0: initial build
